<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"
    <meta charset="utf-8">
    <title>
        GoTo Achievement
    </title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    {% if is_admin %}
    <a class="navbar-brand" href="/index_admin">GoTo Achievement</a>
    {% endif %}
    {% if not is_admin %}
    <a class="navbar-brand" href="/index">GoTo Achievement</a>
    {% endif %}
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/users_list">Участники<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="/achvs_list">Ачивки</a>
            </li>
            {% if is_admin %}
            <li class="nav-item">
                <a class="nav-link" href="/logout_page">Выход</a>
            </li>
            {% endif %}
            {% if not is_admin %}
            <li class="nav-item">
                <a class="nav-link" href="/login_page">Войти как администратор</a>
            </li>
            {% endif %}
        </ul>
    </div>
</nav>

<div class="container" style="margin-top: 15px;">
    <div class="d-flex bd-highlight">
        <div class="p-2 w-75 bd-highlight">
            <h1>{{ achv.title }}</h1>
            <p></p>
            <h5>Участники, имеющие данную ачивку:</h5>
            <!-- Это цикл пользователей -->
            <div class="card-deck">
                {% for user in users %}
                <div class="card h-100" style="max-width: 200px; min-height: 200px">
                    <div class="card-body">
                        <a href="/user_page/{{user.core_id}}">
                            <h5>{{user.first_name}} {{user.last_name}}</h5>
                            <img src="{{user.avatar}}" class="rounded-circle" alt="Cinque Terre" width="100"
                                 height="100">
                        </a>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
        <div class="p-2 w-25 bd-highlight">
            <img src="{{achv.icon}}" class="rounded-circle" width="300">
            <p></p>
            <h5>Описание ачивки:</h5>
            {{ achv.description }}
            <p></p>
            {% if is_admin %}
            <a href="/delete_achv/{{achv.id}}" class="btn btn-danger"> Удалить ачивку</a>
            {% endif %}
        </div>
    </div>
</div>
</body>
</html>